Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: 5.0 GA and Debian 4

  1. #1
    Join Date
    May 2006
    Location
    England.
    Posts
    927
    Rep Power
    10

    Default 5.0 GA and Debian 4

    I'd like to ask for clarification on the release of 5.0 GA.

    Having 5.0 go GA is a great leap for Zimbra, the release brings with it a great many changes and improvements, and we are all eager to experience them. The notes to say, that among other paths, upgrading to 5.0 on Debian 4, from an install that previously used Debian 3 binaries is 'not supported'.

    Could we get a definite answer on this matter as I'm not sure if 'not supported' means there's no support (reasonable assumption, but then the OSS version is not officially supported anyway) or if it means 'do not do this, it will break your system'.

    I personally have a system running on Debian4, that's stuck on version 5 beta 2 because no subsequent version will install correctly. I have a Ubuntu box sat waiting for the 5.0 release but I've been unable to migrate the install over to it. I was hoping to upgrade to 5.0GA on Debian and then shift the whole thing over to Ubuntu, but after having so many faliures at this so far, I'd rather not bother if the problems that caused the previous failed upgrades are still in place. The old debian box is very slow, and the backup and upgrade process takes quite a while

  2. #2
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    It means: Don't do it yet. It will break your system.

    In a few weeks, we're going to release a transition build for those who want to migrate (deb 3.1->4.0/FC4/5->F7, etc)

  3. #3
    Join Date
    May 2006
    Location
    England.
    Posts
    927
    Rep Power
    10

    Default

    Clear and concise just the way I like it!

    Hand on while I hit ctrl+c on this wget session.....

    I'll wait around for the patched version.

  4. #4
    Join Date
    Jun 2007
    Posts
    21
    Rep Power
    8

    Default

    Is there a patched version or alternative upgrade path available yet?

    Best,
    A

  5. #5
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,587
    Rep Power
    58

    Default

    Quote Originally Posted by alamba View Post
    Is there a patched version or alternative upgrade path available yet?
    You'll see something in the Announcements forum when it's available so I guess the answer to your question is, no.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  6. #6
    Join Date
    Jun 2007
    Posts
    21
    Rep Power
    8

    Default

    Haven't seen anything in the announcements forum so far unless I've missed it. Has the patched version been released yet or is there a workaround?

    A

  7. #7
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    4.5.11 contains both a Debian 3.1 & Debian 4 build - from your prior thread:
    Quote Originally Posted by mmorse View Post
    In the meantime, you can get yourself prepared for a quick 4.5.11 hop by going from 4.5.6 > 4.5.10
    You can use this process for changing operating system platforms: /blog/archives/2007/10/moving_zcs_to_another_server.html

    The process assuming you're still on 4.5.6 or 4.5.10 by now:
    -Backup 4.5.6/.10
    -Upgrade to 4.5.11 on Debian 3.1
    -Backup/rsync the 4.5.11
    -Install 4.5.11 on the new Debian 4 server using the -s flag.
    -Move the rsync or whatever backup into place on the new server.
    -Run the normal installer (aka it's 'upgrading').
    -Make sure GID's & UID's match & run zmfixperms as needed if you didn't keep attributes on your backup process.
    -Make sure every thing's working & take another backup (so you don't have to do this all over again if the v5 upgrade fails).
    -Upgrade to 5.0.5

    /community/downloads_previous.html
    MigrationFromEOL - Zimbra :: Wiki
    http://www.zimbra.com/forums/announc...-released.html
    http://www.zimbra.com/forums/announc...-released.html

  8. #8
    Join Date
    Jun 2007
    Posts
    21
    Rep Power
    8

    Default

    Thanks Mike. Think u've misunderstood my request though. I have a Debian 4.0 box on which I had installed Zimbra 4.5.x - Debian 3.1 binaries with the workaround listed in the forums.

    I would now like to upgrade this to 5.0.x on the same Debian 4.0 box.

    Best,
    A

  9. #9
    Join Date
    May 2006
    Location
    USA
    Posts
    6,242
    Rep Power
    21

    Default

    Ok, so all on one box:
    -Backup the 4.5.6/.10 on debian 4 with 3.1 binaries
    -Upgrade it to 4.5.11 on debian 4 with 3.1 binaries using the same http://www.zimbra.com/forums/install...orkaround.html
    -Backup the 4.5.11 on debian 4 with 3.1 binaries to a safe/offserver location
    -Remove your current /opt/zimbra (backed up to a safe location)
    -Install 4.5.11 using the -s flag with the debian 4 binaries
    -Move the rsync or whatever the /opt/zimbra directory backup into place.
    -Run the normal installer
    -Make sure GID's & UID's still match & run zmfixperms as needed if you didn't keep attributes on your backup process.
    -Make sure every thing's working & take another backup (so you don't have to do this all over again if the v5 upgrade fails).
    -Upgrade to 5.0.5

    Good luck!

  10. #10
    Join Date
    Jun 2007
    Posts
    21
    Rep Power
    8

    Default

    Cool! Thanks...will give this a shot and report back.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •